#!/bin/bash
# Autor Original: Narf SS 2009
# Site: http://proyectobs.blogspot.com/
#
# Adaptado por Anderson Couy (IDtucho)
# E-mail: in_dark_tucho@hotmail.com
#Este script atualiza os arquivos de configuração do metacity e do tema do Gnome dependendo do horário.
#Este tema contem elementos do tema Ubuntu Sun
# site:https://wiki.ubuntu.com/Artwork/Incoming/Lucid/UbuntuSun
#E elementos do tema Ubuntu Sun X
# site:http://gnome-look.org/content/show.php/Ubuntu+Sun+X?content=116344
# Este script pode ser executado de qualquer pasta, mas recomendo colocá-lo em "/home/usuário/.themes/"
# Para o funcionamento automático deste script deve se adicionar uma entrada do mesmo em: Sistema > Preferências > Sessões.
# Com o seguinte comando: sh "/home/usuário/.themes/Dynamic_Ubuntu_Sun.sh"
# Obs: lembrando que é necessário dar permissão de execução ao arquivo (chmod +x ./home/usuário/.themes/Dynamic_Ubuntu_Sun.sh)

# Modificação para obter maior precisão na mudança do tema.

hour_to_wait=0h
min=`date +%M`
min_to_wait=`expr $min - 60`
min_to_wait=`expr $min_to_wait \* -1`
min_to_wait="${min_to_wait}m"


while [ true ]
do
	hora=`date +%H`

	case "$hora" in
	07|08|09) 			# Amanhecer
		gconftool-2 --type=string --set /desktop/gnome/interface/gtk_theme UbuntuDawn & gconftool-2 --type=string --set /apps/metacity/general/theme UbuntuDawn ;;
	10|11|12|13|14|15|16|17) 	# Meio dia
		gconftool-2 --type=string --set /desktop/gnome/interface/gtk_theme UbuntuDay & gconftool-2 --type=string --set /apps/metacity/general/theme UbuntuDay ;;
	18|19) 				# Atardecer
		gconftool-2 --type=string --set /desktop/gnome/interface/gtk_theme UbuntuDusk & gconftool-2 --type=string --set /apps/metacity/general/theme UbuntuDusk ;;
	20|21|22|23|24|00|01|02|03|04|05|06)	# Noite
		gconftool-2 --type=string --set /desktop/gnome/interface/gtk_theme Ubuntu-Dark-X & gconftool-2 --type=string --set /apps/metacity/general/theme Ubuntu-Dark-X ;;
	esac

	sleep $min_to_wait $hour_to_wait
	min_to_wait=0m
	hour_to_wait=1h
done


